Attribute VB_Name = "Module1"
' This is the SendMessage function used to transmit messages
Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal _
wParam As Long, lParam As Any) As Long

' Creates a handle to a capture window
Public Declare Function capCreateCaptureWindow Lib "avicap32.dll" Alias "capCreateCaptureWindowA" (ByVal lpszWindowName _
As String, ByVal dwStyle As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, _
ByVal hWndParent As Long, ByVal nID As Long) As Long

' Returns version description of the capture driver
' Example below of how to determine available drivers using this function
' Private Sub Command1_Click()
'    Dim drivername As String
'    Dim driverversion As String
'    drivername = Space(100)
'    driverversion = Space(100)
'    For n = 0 To 9
'        If capGetDriverDescription(n, drivername, 100, driverversion, 100) Then
'            List1.AddItem drivername & vbTab & driverversion
'        Else
'        End If
'    Next n
' End Sub
Public Declare Function capGetDriverDescription Lib "avicap32.dll" Alias "capGetDriverDescriptionA" (ByVal _
wDriver As Long, ByVal lpszName As String, ByVal cbName As Long, ByVal lpszVer As String, ByVal cbVer As Long) As Boolean

' Values for various messages
Public Const WM_USER As Long = 1024
Public Const WM_CAP_START As Long = WM_USER
Public Const WM_CAP_DRIVER_CONNECT As Long = WM_CAP_START + 10
Public Const WM_CAP_DRIVER_DISCONNECT As Long = WM_CAP_START + 11
Public Const WM_CAP_FILE_SAVEDIB As Long = WM_CAP_START + 25
Public Const WM_CAP_DLG_VIDEOFORMAT As Long = WM_CAP_START + 41
Public Const WM_CAP_DLG_VIDEOSOURCE As Long = WM_CAP_START + 42
Public Const WM_CAP_DLG_VIDEODISPLAY = WM_CAP_START + 43
Public Const WM_CAP_DLG_VIDEOCOMPRESSION = WM_CAP_START + 46
Public Const WM_CAP_SET_PREVIEW As Long = WM_CAP_START + 50
Public Const WM_CAP_GET_VIDEOFORMAT = WM_CAP_START + 44
Public Const WM_CAP_SET_VIDEOFORMAT = WM_CAP_START + 45
Public Const WM_CAP_SET_PREVIEWRATE As Long = WM_CAP_START + 52
Public Const WM_CAP_EDIT_COPY As Integer = WM_CAP_START + 30
Public Const WM_CAP_GRAB_FRAME = WM_CAP_START + 60

Public videodriver As Long ' which device to use (0-9)

Public mCapHwnd As Long ' handle to capture window

Public Const WS_CHILD As Long = &H40000000
Public Const WS_VISIBLE As Long = &H10000000
